﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Ribbon;

namespace InfraRibbon
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : XamRibbonWindow
    {
        public MainWindow()
        {
            InitializeComponent();

            this.SnapsToDevicePixels = true;

            this.CommandBindings.Add(new CommandBinding(CmdOption, ExecuteOption,
                CanWeExecuteOption));
            btnOption.Command = CmdOption;

        }

        private void MainWindow_OnLoaded(object sender, RoutedEventArgs e)
        {
            xamRibbon.ApplicationMenu2010.IsOpen = true;
        }

        public static RoutedCommand CmdOption = new RoutedCommand();

        private void CanWeExecuteOption(object sender, CanExecuteRoutedEventArgs e)
        {
            e.CanExecute = true;
        }

        private void ExecuteOption(object sender, ExecutedRoutedEventArgs e)
        {
            xamRibbon.ApplicationMenu2010.IsOpen = true;
            xamRibbon.ApplicationMenu2010.SelectedTabItem = null;

            // Show the help screen
            btnHelp.IsEnabled = true;
        }
    }
}
